Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.pkcs
Class SafeBag

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.pkcs.SafeBag

All Implemented Interfaces:
  DEREncodable

    public class SafeBag

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`SafeBag(ASN1Sequence seq)`
`SafeBag(DERObjectIdentifier oid, DERObject obj)`
`SafeBag(DERObjectIdentifier oid, DERObject obj, ASN1Set bagAttributes)`

Method Summary
`ASN1Set` `getBagAttributes()`
`DERObjectIdentifier` `getBagId()`
`DERObject` `getBagValue()`
`DERObject` `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SafeBag

    public SafeBag(DERObjectIdentifier oid,
                   DERObject obj)

### SafeBag

    public SafeBag(DERObjectIdentifier oid,
                   DERObject obj,
                   ASN1Set bagAttributes)

### SafeBag

    public SafeBag(ASN1Sequence seq)

Method Detail

### getBagId

    public DERObjectIdentifier getBagId()

### getBagValue

    public DERObject getBagValue()

### getBagAttributes

    public ASN1Set getBagAttributes()

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45